<!DOCTYPE html>
<html <?php language_attributes(); ?>>
<head>
  <meta charset="<?php bloginfo('charset'); ?>">
  <meta http-equiv="X-UA-Compatible" content="IE=edge">
  <meta name="viewport" content="width=device-width, initial-scale=1">

  <link rel="profile" href="http://gmpg.org/xfn/11">
  <link rel="pingback" href="<?php bloginfo('pingback_url'); ?>">

  <?php wp_head(); ?>
</head>

<body <?php body_class(); ?>>

<div id="page" class="site">

  <header id="masthead" class="site-header">
    <div class="container">
      <div class="site-branding clearfix">
        <div class="site-branding-logo">
          <?php the_custom_logo();?>

          <?php if ( !get_theme_mod( 'header_title' )):?>
            <h1 class="site-title"><a href="<?php echo esc_url( home_url( '/' ) ); ?>" rel="home"><?php bloginfo( 'name' ); ?></a></h1>
          
            <?php
            $description = get_bloginfo( 'description', 'display' );
            if ( $description || is_customize_preview() ) : 
            ?>
              <p class="site-description"><?php echo $description;?></p>
            <?php endif;?>
          <?php endif;?>
        </div>

        <div class="site-social">
  <?php if(get_theme_mod('social_email')):?>
  <a href="<?php echo esc_url('mailto:'.antispambot(get_theme_mod('social_email'))); ?>" title="<?php esc_attr_e('Send Us an Email', 'dream'); ?>"><i class="fa fa-envelope-o" aria-hidden="true"></i></a>
  <?php endif; ?>
  <?php if(get_theme_mod('social_skype')):?>
  <a href="skype:<?php echo esc_html(get_theme_mod('social_skype')); ?>?userinfo" title="<?php esc_attr_e('Contact Us on Skype', 'dream'); ?>"><i class="fa fa-skype" aria-hidden="true"></i></a>
  <?php endif; ?>
  <?php if(get_theme_mod('social_facebook')):?>
  <a href="<?php echo esc_url(get_theme_mod('social_facebook')); ?>" target="_blank" title="<?php esc_attr_e('Find Us on Facebook', 'dream'); ?>"><i class="fa fa-facebook" aria-hidden="true"></i></a>
  <?php endif; ?>
  <?php if(get_theme_mod('social_twitter')):?>
  <a href="<?php echo esc_url(get_theme_mod('social_twitter')); ?>" target="_blank" title="<?php esc_attr_e('Follow Us on Twitter', 'dream'); ?>"><i class="fa fa-twitter" aria-hidden="true"></i></a>
  <?php endif; ?>
  <?php if(get_theme_mod('social_google_plus')):?>
  <a href="<?php echo esc_url(get_theme_mod('social_google_plus')); ?>" target="_blank" title="<?php esc_attr_e('Find Us on Google Plus', 'dream'); ?>"><i class="fa fa-google-plus" aria-hidden="true"></i></a>
  <?php endif; ?>
  <?php if(get_theme_mod('social_youtube')):?>
  <a href="<?php echo esc_url(get_theme_mod('social_youtube')); ?>" target="_blank" title="<?php esc_attr_e('View our YouTube Channel', 'dream'); ?>"><i class="fa fa-youtube" aria-hidden="true"></i></a>
  <?php endif; ?>
  <?php if(get_theme_mod('social_instagram')):?>
  <a href="<?php echo esc_url(get_theme_mod('social_instagram')); ?>" target="_blank" title="<?php esc_attr_e('Follow Us on Instagram', 'dream'); ?>"><i class="fa fa-instagram" aria-hidden="true"></i></a>
  <?php endif; ?>
  <?php if(get_theme_mod('social_pinterest')):?>
  <a href="<?php echo esc_url(get_theme_mod('social_pinterest')); ?>" target="_blank" title="<?php esc_attr_e('Pin Us on Pinterest', 'dream'); ?>"><i class="fa fa-pinterest" aria-hidden="true"></i></a>
  <?php endif; ?>
  <?php if(get_theme_mod('social_linkedin')):?>
  <a href="<?php echo esc_url(get_theme_mod('social_linkedin')); ?>" target="_blank" title="<?php esc_attr_e('Find Us on LinkedIn', 'dream'); ?>"><i class="fa fa-linkedin" aria-hidden="true"></i></a>
  <?php endif; ?>
  <?php if(get_theme_mod('social_tumblr')):?>
  <a href="<?php echo esc_url(get_theme_mod('social_tumblr')); ?>" target="_blank" title="<?php esc_attr_e('Find Us on Tumblr', 'dream'); ?>"><i class="fa fa-tumblr" aria-hidden="true"></i></a>
  <?php endif; ?>
  <?php if(get_theme_mod('social_flickr')):?>
  <a href="<?php echo esc_url(get_theme_mod('social_flickr')); ?>" target="_blank" title="<?php esc_attr_e('Find Us on Flickr', 'dream'); ?>"><i class="fa fa-flickr" aria-hidden="true"></i></a>
  <?php endif; ?>
          </div>

        <button class="menu-toggle navbar-toggle" data-toggle="collapse" data-target="#main-navigation-collapse"><i class="fa fa-bars"></i></button>
      </div><!-- .site-branding -->

      <div id="site-navigation" class="main-navigation clearfix <?php if((is_home())or(is_single())or(is_search())or(is_archive())){echo 'mr';}?>">
        <?php
          if (has_nav_menu('menu-1')) {
            wp_nav_menu( array(
              'theme_location' => 'menu-1',
              'container' => 'nav',
              'menu_class' => 'menu hidden-sm hidden-xs clearfix',
            ) );
          }
        ?>
      </div>

      <div class="nav-content hidden-md hidden-lg">
        <div id="main-navigation-collapse" class="collapse navbar-collapse">
          <?php
            if (has_nav_menu('menu-1')) {
              wp_nav_menu( array(
                'theme_location' => 'menu-1',
                'container' => 'nav',
                'menu_class' => 'nav navbar-nav responsive-nav hidden-md hidden-lg',
              ) );
            }
          ?>
        </div>
      </div>

    </div>
  </header><!-- #masthead -->

<?php
if(get_theme_mod('activate_slider',0)){
  if(is_front_page()){
?>
    <div class="site-slider">
      <div class="container">
        <?php dream_slider();?>
      </div>
    </div>
<?php
  }
}
?>
